Subject: Re: [6lowpan] Hop limit in multi hop messages

From: Erik Nordmark <[email-masked]>
Date: Mon, 01 Nov 2010 18:15:31 -0700

On 10/29/10 11:27 AM, Dario Tedeschi wrote:
> Hi Erik
>
> I think my argument has been rendered moot. It appears the problem has
> been solved in the latest draft using new message types for multi-hop
> Address Registration. Aside from being a much cleaner approach, it now
> allows the normal 255 check for all other ND packets.
>
> My initial reasoning was that if the NS/NA messages (in 6LoWPAN ND)
> remained overloaded for multi-hop Address Registration, then I wanted
> some some way of protecting the last hop (i.e. router-host) from
> illegally forwarded NS/NA packets.

Yes, I didn't like that overloading myself for the same reasons.

    Erik

> Dario
>
> On 27/10/2010 2:06 PM, Erik Nordmark wrote:
>> On 10/27/10 01:03 PM, Dario Tedeschi wrote:
>>> I think what needs to be specified is the following:
>>>
>>> 1. For 6LoWPAN ND packets sent to a link-local address, the hop-limit
>>> must be set to 255 (as per RFC4861).
>>> 2. For 6LoWPAN ND packets sent to a routable address, the hop-limit
>>> MAY be set less than 255.
>>
>> That is not how RFC 4861 works. It says that NS, NA, RS, RA, and
>> Redirect messages all need to be sent with hoplimit 255 and checked on
>> receipt.
>>
>> The NS, NA, and Redirect messages can have a global destination address.
>>
>> I don't see any reason to change this as part of 6lowpan-nd.
>>
>> What is you reason for wanting to change it?
>
>>
>> Erik
>>
>>> On the receiver side, an implementation MUST discard a ND packet that
>>> has a link-local destination and a hop-limit less than 255.
>>>
>>> Dario
>>>
>>>
>>> On 22/10/2010 3:11 AM, Alexandru Petrescu wrote:
>>>> Le 22/10/2010 01:50, Erik Nordmark a écrit :
>>>>> On 10/13/10 05:30 AM, Daniel Gavelle wrote:
>>>>>> When the multi-hop NS is sent from the LR to the LBR, its hop limit
>>>>>> is set to 255 and then decremented on each hop. When it arrives at
>>>>>> the LBR, the hop limit=255 check is ignored. There are a couple of
>>>>>> problems with this mechanism:-
>>>>>>
>>>>>> (1) If the packet enters a routing loop, it will take a long time
>>>>>> to die.
>>>>>>
>>>>>> (2) Some stacks have a rule that packets with a hop limit of 255
>>>>>> should never be forwarded by the routing layer or a hop limit of
>>>>>> 254 should never be transmitted.
>>>>>>
>>>>>> These problems could be addressed by setting the hop limit to a
>>>>>> more typical value, e.g. 64, for the multi-hop messages.
>>>>>
>>>>> I don't have a problem suggesting a value like 64.
>>>>>
>>>>> But the implementations in (2) seems to be utterly broken because
>>>>> there isn't any RFC that says that packets with 255 or 254 should be
>>>>> treated differently when transmitting or forwarding.
>>>>
>>>> Except when those packets are ND... (I mean IIRC ND spec requires to
>>>> drop RS packets whose limit is less than 255).
>>>>
>>>> Alex
>>>>
>>>>>
>>>>> Erik _______________________________________________ 6lowpan mailing
>>>>> list [email-masked] https://www.ietf.org/mailman/listinfo/6lowpan
>>>>>
>>>>
>>>> _______________________________________________
>>>> 6lowpan mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/6lowpan
>>>
>>>
>>>
>>> _______________________________________________
>>> 6lowpan mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/6lowpan
>>
>> _______________________________________________
>> 6lowpan mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/6lowpan
>